
Redmine - Defect #23175

Ticket overview table on project page (from 3.2) exposes trackers to user roles with insufficient

permissions

2016-06-27 12:15 - Tobias Fischer

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 3.2.0

Description

Let's say you have a project "A" with internal and external users.

And then there's project "B" which is a subproject of "A" and only internal users are allowed.

The internal project "B" uses the same trackers like project "A" plus some additional ones.

When an external user accesses the project "A" project page (overview) it can see the project-"B"-only trackers in the ticket overview

table.

At least, the ticket counter is set to "0" in all columns, but still I would expect the tracker beeing hidden when the user role cannot

access it!

This problem exists since Redmine 3.2

History

#1 - 2016-06-28 21:29 - Jean-Philippe Lang

- Status changed from New to Needs feedback

I confirm that 3.2 would display all the trackers that are enabled on the project and its subprojects.

But Redmine 3.3.0 behaves as you expect, the user won't see the additional trackers of the private subproject. Have you tried it with 3.3?

#2 - 2016-06-28 22:55 - Tobias Fischer

Alright, tested the new 3.3 release and as you said, the issue is fixed there.

Thanks and nevermind.

#3 - 2016-06-28 22:58 - Jean-Philippe Lang

- Status changed from Needs feedback to Resolved

- Resolution set to Fixed

Glad that it works as needed, thanks for the fast feedback.

#4 - 2016-07-17 04:23 - Toshi MARUYAMA

- Status changed from Resolved to Closed
